:root{
    --primary:#d89b52;
    --dark:#0f0f0f;
    --light:#f7f4ef;
    --text:#222;
    --fondo-claro:#f7f4ef;   
}

body{
    font-family:'Inter', sans-serif;
    color:var(--text);
    overflow-x:hidden;
}

h1,h2,h3,h4,h5{
    font-family:'Montserrat', sans-serif;
    font-weight:700;
}

.custom-navbar{
    background:rgba(0,0,0,0.92);
    padding:18px 0;
    transition:0.3s;
}

.navbar-brand{
    font-size:32px;
    font-weight:800;
}

.navbar-brand span{
    color:var(--primary);
}

.nav-link{
    color:white !important;
    margin-left:18px;
    transition:0.3s;
}

.nav-link:hover{
    color:var(--primary) !important;
}

.logo-img{
    height:58px;
    width:auto;
    object-fit:contain;
}



.btn-gold{
    background:var(--primary);
    color:white;
    padding:13px 28px;
    border:none;
    border-radius:10px;
    transition:0.3s;
}

.btn-gold:hover{
    background:#be813b;
    color:white;
}

.hero{
    min-height:100vh;

    background:
    linear-gradient(to right, rgba(0,0,0,0.75), rgba(0,0,0,0.35)),
    url('../images/banner3.jpeg');

    background-size:cover;
    background-position:center;

    display:flex;
    align-items:center;

    color:white;
}

.hero-content{
    max-width:650px;
}

.hero h1{
    font-size:82px;
    line-height:1;
}

.hero h1 span{
    color:var(--primary);
}

.hero p{
    font-size:22px;
    margin-top:30px;
    margin-bottom:40px;
}

.hero-buttons{
    display:flex;
    gap:20px;
    flex-wrap:wrap;
}

.btn-outline-custom{
    border:2px solid rgba(255,255,255,0.6);
    color:white;
    padding:13px 28px;
    border-radius:10px;
    transition:0.3s;
}

.btn-outline-custom:hover{
    background:white;
    color:black;
}

.features{
    background:#111;
    color:white;
    padding:60px 0;
}

.feature-box{
    display:flex;
    gap:18px;
}

.feature-box i{
    font-size:38px;
    color:var(--primary);
}

section{
    padding:110px 0;
}

.section-title{
    text-align:center;
    margin-bottom:70px;
}

.section-title span{
    color:var(--primary);
    font-weight:700;
    text-transform:uppercase;
}

.section-title h2{
    font-size:48px;
    margin-top:10px;
}


/* =========================
   MISION Y VISION
========================= */

.mission-vision-section{
    background:var(--fondo-claro);;
    padding:100px 0;
}

.section-description{
    max-width:760px;
    margin:20px auto 0;
    color:#666;
    font-size:18px;
    line-height:1.7;
}

.mission-card{

    /* background:#faf7f2; */
    background: #fff;

    border:1px solid #ece7df;

    border-radius:24px;

    padding:50px;

    height:100%;

    transition:0.35s ease;

    position:relative;

    overflow:hidden;
}

.mission-card:hover{

    transform:translateY(-8px);

    box-shadow:0 18px 45px rgba(0,0,0,0.08);

    border-color:rgba(216,155,82,0.35);
}

.mission-icon{

    width:82px;
    height:82px;

    border-radius:22px;

    background:rgba(216,155,82,0.12);

    display:flex;
    align-items:center;
    justify-content:center;

    margin-bottom:28px;
}

.mission-icon i{

    font-size:34px;

    color:#d89b52;
}

.mission-card h3{

    font-size:34px;

    margin-bottom:20px;

    color:#1d1d1d;
}

.mission-card p{

    color:#555;

    line-height:1.9;

    font-size:17px;

    margin:0;
}

/* RESPONSIVE */




/* .products{
    background:var(--light);
}

.product-card{
    background:white;
    border-radius:18px;
    overflow:hidden;
    height:100%;
    box-shadow:0 10px 25px rgba(0,0,0,0.08);
    transition:0.3s;
}

.product-card:hover{
    transform:translateY(-10px);
}

.product-card img{
    width:100%;
    height:220px;
    object-fit:cover;
}

.product-content{
    padding:30px;
} */

/* section productos */

.products-section{
    background:#f7f4ef;
    padding:120px 0;
}

.product-card{
    background:white;
    border-radius:22px;
    overflow:hidden;
    height:100%;
    transition:0.35s;
    box-shadow:0 10px 30px rgba(0,0,0,0.08);
}

.product-card:hover{
    transform:translateY(-10px);
}

.product-card img{
    width:100%;
    height:240px;
    object-fit:cover;
}

.product-content{
    padding:35px;
}

.product-icon{
    width:70px;
    height:70px;
    border-radius:18px;
    background:rgba(216,155,82,0.12);

    display:flex;
    align-items:center;
    justify-content:center;

    margin-bottom:25px;
}

.product-icon i{
    color:var(--primary);
    font-size:30px;
}

.product-content h4{
    margin-bottom:18px;
    font-size:28px;
}

.product-content p{
    color:#666;
    line-height:1.8;
}

.secondary-card{
    background:#111;
    color:white;
}

.secondary-card p{
    color:#d6d6d6;
}


/* section servicios */
.services-section{
    background:#0f0f0f;
    color:white;
    padding:120px 0;
    position:relative;
    overflow:hidden;
}

.services-section::before{
    content:'';
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;

    background:
    linear-gradient(
        rgba(0,0,0,0.86),
        rgba(0,0,0,0.86)
    ),
    url('../images/maquinaria.jpg');

    background-size:cover;
    background-position:center;

    opacity:0.22;
}

.services-section .container{
    position:relative;
    z-index:2;
}

.services-section .section-title{
    text-align:center;
    max-width:850px;
    margin:0 auto 70px;
}

.services-section .section-title span{
    color:var(--primary);
    font-weight:700;
    text-transform:uppercase;
    letter-spacing:1px;
}

.services-section .section-title h2{
    font-size:48px;
    margin-top:15px;
    margin-bottom:20px;
}

.services-section .section-title p{
    color:#d6d6d6;
    font-size:18px;
    line-height:1.8;
}

.service-card{
    background:rgba(255,255,255,0.04);
    border:1px solid rgba(255,255,255,0.08);
    border-radius:24px;
    padding:40px;
    height:100%;
    position:relative;
    overflow:hidden;
    transition:0.35s;

    backdrop-filter:blur(5px);
}

.service-card:hover{
    transform:translateY(-10px);
    border-color:rgba(216,155,82,0.55);

    box-shadow:
    0 18px 40px rgba(0,0,0,0.35);
}

.service-number{
    position:absolute;
    top:18px;
    right:22px;

    font-size:72px;
    font-weight:800;

    color:rgba(255,255,255,0.04);

    line-height:1;
}

.service-icon{
    width:82px;
    height:82px;

    border-radius:20px;

    background:rgba(216,155,82,0.12);

    display:flex;
    align-items:center;
    justify-content:center;

    margin-bottom:30px;
}

.service-icon i{
    color:var(--primary);
    font-size:34px;
}

.service-card h4{
    font-size:28px;
    margin-bottom:20px;
}

.service-card p{
    color:#d4d4d4;
    line-height:1.8;
    margin-bottom:0;
}

/* Hover line */

.service-card::after{
    content:'';
    position:absolute;

    bottom:0;
    left:0;

    width:0;
    height:4px;

    background:var(--primary);

    transition:0.35s;
}

.service-card:hover::after{
    width:100%;
}

/* Responsive */

@media(max-width:992px){

    .services-section{
        padding:100px 0;
    }

    .services-section .section-title h2{
        font-size:38px;
    }

}

@media(max-width:768px){

    .services-section{
        padding:90px 0;
    }

    .services-section .section-title h2{
        font-size:30px;
    }

    .service-card{
        padding:30px;
    }

    .service-number{
        font-size:56px;
    }

    .service-icon{
        width:70px;
        height:70px;
    }

    .service-icon i{
        font-size:28px;
    }

}












/* end servicios */

.about img{
    width:100%;
    border-radius:22px;
}

.about-content{
    padding-left:50px;
}

.section-subtitle{
    color:var(--primary);
    font-weight:700;
    text-transform:uppercase;
}

.stats{
    display:flex;
    gap:35px;
    margin-top:40px;
    flex-wrap:wrap;
}

.stat-item h3{
    color:var(--primary);
    font-size:38px;
}

.gallery img{
    width:100%;
    height:260px;
    object-fit:cover;
    border-radius:16px;
    transition:0.3s;
}

.gallery img:hover{
    transform:scale(1.03);
}


/* section experiencia */
.experience-section{
    background:#0f0f0f;
    color:white;
    padding:120px 0;
    position:relative;
}

.experience-section::before{
    content:'';
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background:
    linear-gradient(
        rgba(0,0,0,0.82),
        rgba(0,0,0,0.82)
    ),
    url('../images/maquinaria.jpg');

    background-size:cover;
    background-position:center;
    opacity:0.18;
}

.experience-section .container{
    position:relative;
    z-index:2;
}


.experience-section .section-title{
    text-align:center;
    max-width:850px;
    margin:0 auto 70px;
}

.experience-section .section-title span{
    color:var(--primary);
    font-weight:700;
    text-transform:uppercase;
    letter-spacing:1px;
}

.experience-section .section-title h2{
    font-size:48px;
    margin-top:15px;
    margin-bottom:20px;
}

.experience-section .section-title p{
    color:#d6d6d6;
    font-size:18px;
}

.experience-card{
    background:rgba(255,255,255,0.04);
    border:1px solid rgba(255,255,255,0.08);
    border-radius:22px;
    padding:40px 35px;
    height:100%;
    transition:0.35s;
    backdrop-filter:blur(6px);
}

.experience-card:hover{
    transform:translateY(-10px);
    border-color:rgba(216,155,82,0.6);
    box-shadow:0 15px 40px rgba(0,0,0,0.35);
}

.experience-icon{
    width:80px;
    height:80px;
    border-radius:20px;
    background:rgba(216,155,82,0.12);
    display:flex;
    align-items:center;
    justify-content:center;
    margin-bottom:30px;
}

.experience-icon i{
    font-size:38px;
    color:var(--primary);
}

.experience-card h4{
    font-size:28px;
    margin-bottom:10px;
}

.experience-card h6{
    color:var(--primary);
    font-size:15px;
    text-transform:uppercase;
    letter-spacing:1px;
    margin-bottom:20px;
}

.experience-card p{
    color:#d4d4d4;
    line-height:1.8;
}




section.contact{
    background:var(--light);
}

.contact-section{
    background:#f7f4ef;
    padding:120px 0;
}

.contact-section .section-title{
    text-align:center;
    max-width:850px;
    margin:0 auto 70px;
}

.contact-section .section-title span{
    color:var(--primary);
    font-weight:700;
    text-transform:uppercase;
}

.contact-section .section-title h2{
    font-size:48px;
    margin-top:15px;
    margin-bottom:20px;
}

.contact-section .section-title p{
    color:#666;
    font-size:18px;
}

.contact-info{
    background:#111;
    color:white;
    border-radius:24px;
    padding:45px;
    height:100%;
}

.contact-item{
    display:flex;
    gap:20px;
    margin-bottom:35px;
}

.contact-icon{
    width:62px;
    height:62px;
    min-width:62px;
    border-radius:18px;
    background:rgba(216,155,82,0.12);

    display:flex;
    align-items:center;
    justify-content:center;
}

.contact-icon i{
    color:var(--primary);
    font-size:26px;
}

.contact-item h5{
    margin-bottom:8px;
    font-size:20px;
}

.contact-item p{
    color:#d5d5d5;
    line-height:1.7;
    margin:0;
}

.contact-form-box{
    background:white;
    padding:50px;
    border-radius:24px;
    box-shadow:0 12px 35px rgba(0,0,0,0.08);
    height:100%;
}

.contact-form-box .form-control{
    border-radius:14px;
    padding:16px;
    margin-bottom:22px;
    border:1px solid #ddd;
    box-shadow:none;
}

.contact-form-box .form-control:focus{
    border-color:var(--primary);
}

.btn-whatsapp{
    margin-top:20px;
    width:100%;
    background:#25D366;
    color:white;
    padding:16px;
    border-radius:14px;
    font-weight:600;
}

.btn-whatsapp:hover{
    background:#1fa855;
    color:white;
}

.btn-gold{
    background:var(--primary);
    color:white;
    padding:15px 28px;
    border:none;
    border-radius:14px;
    font-weight:600;
}

.btn-gold:hover{
    background:#be813b;
    color:white;
}

@media(max-width:992px){

    .contact-section{
        padding:90px 0;
    }

    .contact-section .section-title h2{
        font-size:38px;
    }

}

@media(max-width:768px){

    .contact-form-box,
    .contact-info{
        padding:35px;
    }

    .contact-section .section-title h2{
        font-size:30px;
    }

}


/* section contacto */
/* .contact{
    background:var(--light);
}

.contact-box{
    background:white;
    border-radius:20px;
    padding:50px;
    box-shadow:0 10px 35px rgba(0,0,0,0.08);
} */

.form-control{
    padding:16px;
    margin-bottom:20px;
    border-radius:12px;
}

footer{
    background:#0f0f0f;
    color:#ccc;
    padding:70px 0;
}

.footer-logo{
    height:70px;
    width:auto;
    margin-bottom:20px;
}

.social-icons{
    display:flex;
    gap:15px;
}

.social-icons a{
    width:42px;
    height:42px;
    background:#1f1f1f;
    color:white;
    border-radius:50%;
    display:flex;
    align-items:center;
    justify-content:center;
    transition:0.3s;
}

.social-icons a:hover{
    background:var(--primary);
}

.scroll-top{
    position:fixed;
    bottom:30px;
    right:30px;
    width:52px;
    height:52px;
    border:none;
    border-radius:50%;
    background:var(--primary);
    color:white;
    display:none;
    z-index:999;
}

@media(max-width:992px){

    .hero{
        text-align:center;
        padding:120px 0;
    }

    .hero h1{
        font-size:56px;
    }

    .hero-buttons{
        justify-content:center;
    }

    .about-content{
        padding-left:0;
        margin-top:50px;
    }

    .experience-section .section-title h2{
        font-size:38px;
    }
}




@media(max-width:768px){

    .hero h1{
        font-size:42px;
    }

    .section-title h2{
        font-size:34px;
    }

    .logo-img{
        height:46px;
    }

    .experience-section{
        padding:90px 0;
    }

    .experience-section .section-title h2{
        font-size:30px;
    }

    .experience-card{
        padding:30px;
    }

     .mission-card{
        padding:35px;
    }

    .mission-card h3{
        font-size:28px;
    }

    .section-description{
        font-size:16px;
    }

}
